#### D.2.5.1 allprint

Procedure from library `inout.lib` (see inout_lib).

Usage:
  allprint(L); L list

Display:
  prints L[1], L[2], ... if an integer with name ALLprint is defined.
  makes "pause", if ALLprint > 0

Return:
  no return value

Example:

    LIB "inout.lib";
    ring S;
    matrix M=matrix(freemodule(2),3,3);
    int ALLprint; export ALLprint;
    ==> // ** `ALLprint` is already global
    allprint("M =",M);
    ==> M =
    ==> 1,0,0,
    ==> 0,1,0,
    ==> 0,0,0
    kill ALLprint;

User manual for Singular version 4-0-3, 2016, generated by texi2html.